Skip to main content
GET
/
v1
/
research
/research
curl --request GET \
  --url https://api.linkup.so/v1/research \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.linkup.so/v1/research"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.linkup.so/v1/research', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "metadata": {
    "page": 123,
    "pageSize": 123,
    "total": 123,
    "totalPages": 123
  },
  "data": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "error": "<string>",
      "id": "01234-abcd-56789",
      "status": "completed",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "input": {
        "q": "What is Microsoft's 2024 revenue?",
        "excludeDomains": [
          "wikipedia.org"
        ],
        "fromDate": "2025-01-01",
        "includeDomains": [
          "microsoft.com",
          "agolution.com"
        ],
        "structuredOutputSchema": null,
        "toDate": "2025-01-01",
        "mode": "auto",
        "reasoningDepth": "L"
      },
      "output": {
        "answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
        "sources": [
          {
            "favicon": "",
            "name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
            "snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
            "url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
          },
          {
            "favicon": "",
            "name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
            "snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
            "url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
          }
        ]
      },
      "type": "<string>"
    }
  ]
}

Get your API key

Create a Linkup account for free to get your API key.
This endpoint only retrieves data from existing research tasks. It does not create a new research task. To create a new task, use POST /research.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
pageSize
integer
default:10
Required range: 1 <= x <= 100
sortBy
enum<string>
Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:asc
Available options:
asc,
desc

Response

Paginated list of research tasks.

metadata
object
required
data
object[]
required